# -*- mode: ruby -*-
# vi: set ft=ruby :
VAGRANTFILE_API_VERSION = "2"
WORKSTATION_NETWORK_ADDRESS="10.0.0.15"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|

  config.vm.provider "virtualbox" do |vb|
    vb.customize ['modifyvm', :id, '--graphicscontroller', 'vmsvga']
    vb.customize ['modifyvm', :id, '--audio', 'none']
    vb.customize ['modifyvm', :id, '--vram', '256']
  end

  # Tor Browser Workstation
  config.vm.define "tor-browser-workstation" do |config|
    config.vm.box = "ubuntu/focal64"
    config.vm.provider "virtualbox" do |vb|
      vb.gui = true
      vb.memory = 8192
      vb.cpus = 4
    end
    
    config.vm.network :private_network, ip: "#{WORKSTATION_NETWORK_ADDRESS}"    

    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/debian/setup/-/raw/main/commons.sh"
    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/ubuntu/setup/-/raw/main/desktop-focal.sh"    
    
    config.vm.provision "shell", privileged: false, inline: <<-SHELL
      # KeyBoard
      echo "setxkbmap -layout latam,es" >> ~/.profile
      
      # Required
      sudo apt-get install -y libdbus-glib-1-2 clamav clamav-daemon

      # create sh for search virus
      echo "sudo clamscan -r /home" >> ~/virus.sh
      chmod +x ~/virus.sh

      # Tor browser      
      TOR_VERSION=13.0.14
      TOR_HOME=~/tor

      wget https://www.torproject.org/dist/torbrowser/$TOR_VERSION/tor-browser-linux-x86_64-$TOR_VERSION.tar.xz.asc -O /tmp/tor.tar.xz.asc
      wget https://www.torproject.org/dist/torbrowser/$TOR_VERSION/tor-browser-linux-x86_64-$TOR_VERSION.tar.xz -O /tmp/tor.tar.xz
      
      gpg --auto-key-locate nodefault,wkd --locate-keys torbrowser@torproject.org
      gpg --output /tmp/tor.keyring --export 0xEF6E286DDA85EA2A4BA7DE684E2C6E8793298290
      gpgv --keyring /tmp/tor.keyring /tmp/tor.tar.xz.asc /tmp/tor.tar.xz

      mkdir $TOR_HOME
      tar -xvf /tmp/tor.tar.xz -C $TOR_HOME --strip-components=1

      sudo ufw enable
      sudo ufw default deny incoming
      sudo ufw default allow outgoing

    SHELL
    config.vm.provision "shell", inline: <<-SHELL      
      shutdown -r now
    SHELL
  end


end

# sudo apt install synaptic
# synaptic


      # wget -qO - https://deb.torproject.org/torproject.org/A3C4F0F979CAA22CDBA8F512EE8CBC9E886DDD89.asc | sudo gpg --dearmor -o $KEYRINGS_PATH/tor-keyring.gpg
      # echo \
      #     "deb [arch=$(dpkg --print-architecture) signed-by=$KEYRINGS_PATH/tor-keyring.gpg] \
      #     https://deb.torproject.org/torproject.org $(lsb_release -cs) main" \
      #     | sudo tee /etc/apt/sources.list.d/tor.list

      # # Update Repositories
      # sudo apt-get update

      # # Install
      # sudo apt-get install -y tor torbrowser-launcher